Начнем

Учебное пособие

Концепции

Приложение

Запрос

Ответ

Routing

Обработка ошибок

Cook book

Дополнения

Contributing

Установка


Системные Требования

  • Веб-сервер с переписыванием URL-адресов
  • PHP 5.5 или новее

Как установить Slim

Мы рекомендуем установить Slim с Composer. Перейдите в корневой каталог вашего проекта и выполните команду bash, показанную ниже. Эта команда загружает Slim Framework и ее сторонние зависимости в vendor/ каталог вашего проекта.

composer require slim/slim "^3.0"

Установите автозагрузчик Composer в свой PHP-скрипт, и вы готовы начать использовать Slim.

<?php
require 'vendor/autoload.php';

Как установить Composer

У вас нет Composer? Его легко установить, следуя инструкциям на странице загрузки.